<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.xunmei.core.resumption.mapper.ProtectionLogMapper">
    <select id="pageLog" resultType="com.xunmei.core.resumption.vo.protection.ProtectionLogPageVo">
        select a.id,
        a.name,
        a.status ,
        a.status_update_time as updateTime,
        a.status_updator_name as statusUpdatorName
        from core_protection_log a
        where a.protection_id=#{request.protectionId}
        <if test="request.startTime!=null and request.endTime!=null">
            and a.status_update_time >= #{request.startTime} and  a.status_update_time&lt;=#{request.endTime}
        </if>
        order by a.status_update_time desc
    </select>
</mapper>
